import Data.Char
  
ordsComp :: [Char] -> [Int]
ordsComp xs  =  [ ord x | x <- xs ]

ordsRec :: [Char] -> [Int]
ordsRec []      =  []
ordsRec (x:xs)  =  ord x : ordsRec xs

ordsMap :: [Char] -> [Int]
ordsMap xs  =  map ord xs

prop_ords :: [Char] -> Bool
prop_ords xs  =  ordsComp xs == ordsRec xs && ordsRec xs == ordsMap xs
